Intermittent editor/reftests/694880-1.html == editor/reftests/694880-ref.html | image comparison, max difference: 255, number of differing pixels: 19

REOPENED
Assigned to

Status

()

defect
P5
normal
REOPENED
2 years ago
17 hours ago

People

(Reporter: intermittent-bug-filer, Assigned: m_kato)

Tracking

({intermittent-failure, leave-open})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell disabled])

Attachments

(1 attachment)

[task 2017-12-11T21:16:07.669Z] 21:16:07     INFO - REFTEST TEST-PASS | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/dynamic-overflow-change.html == file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/dynamic-overflow-change-ref.html | image comparison, max difference: 0, number of differing pixels: 0
[task 2017-12-11T21:16:07.670Z] 21:16:07     INFO - REFTEST TEST-END | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/dynamic-overflow-change.html == file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/dynamic-overflow-change-ref.html
[task 2017-12-11T21:16:07.671Z] 21:16:07     INFO - REFTEST TEST-START | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-1.html == file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-ref.html
[task 2017-12-11T21:16:07.672Z] 21:16:07     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-1.html | 1792 / 1970 (90%)
[task 2017-12-11T21:16:07.739Z] 21:16:07     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-ref.html | 1792 / 1970 (90%)
[task 2017-12-11T21:16:07.899Z] 21:16:07     INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-1.html == file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-ref.html
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: Last yearLast year
Resolution: --- → INCOMPLETE
New failure log file:
https://treeherder.mozilla.org/logviewer.html#?job_id=196439226&repo=mozilla-inbound&lineNumber=30637

[task 2018-08-29T13:24:50.139Z] 13:24:50     INFO - REFTEST TEST-START | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-1.html == file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-ref.html
[task 2018-08-29T13:24:50.140Z] 13:24:50     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-1.html | 96 / 136 (70%)
[task 2018-08-29T13:24:50.175Z] 13:24:50     INFO - ++DOMWINDOW == 91 (0x7fc4a7d06000) [pid = 7300] [serial = 244] [outer = 0x7fc4c7256400]
[task 2018-08-29T13:24:50.200Z] 13:24:50     INFO - [Child 7300, Main Thread] WARNING: HTMLEditRules::BeforeEdit() failed to handle something: 'NS_SUCCEEDED(rv)', file /builds/worker/workspace/build/src/editor/libeditor/HTMLEditor.cpp, line 3619
[task 2018-08-29T13:24:50.201Z] 13:24:50     INFO - [Child 7300, Main Thread] WARNING: '!aSelection->RangeCount()', file /builds/worker/workspace/build/src/editor/libeditor/EditorBase.cpp, line 3912
[task 2018-08-29T13:24:50.203Z] 13:24:50     INFO - [Child 7300, Main Thread] WARNING: '!selectionStartPoint.IsSet()', file /builds/worker/workspace/build/src/editor/libeditor/HTMLEditRules.cpp, line 10249
[task 2018-08-29T13:24:50.204Z] 13:24:50     INFO - [Child 7300, Main Thread] WARNING: Failed to normalize Selection: 'NS_SUCCEEDED(rv)', file /builds/worker/workspace/build/src/editor/libeditor/HTMLEditRules.cpp, line 470
[task 2018-08-29T13:24:50.205Z] 13:24:50     INFO - [Child 7300, Main Thread] WARNING: Failed to remove transaction listener from the editor: 'removedTransactionListener', file /builds/worker/workspace/build/src/editor/composer/nsEditingSession.cpp, line 499
[task 2018-08-29T13:24:50.260Z] 13:24:50     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-ref.html | 96 / 136 (70%)
[task 2018-08-29T13:24:50.297Z] 13:24:50     INFO - [Child 7300, Main Thread] WARNING: NS_ENSURE_TRUE(mDoneSetup) failed: file /builds/worker/workspace/build/src/editor/composer/nsEditingSession.cpp, line 1269
[task 2018-08-29T13:24:50.298Z] 13:24:50     INFO - ++DOMWINDOW == 92 (0x7fc4a7d07400) [pid = 7300] [serial = 245] [outer = 0x7fc4c7256400]
[task 2018-08-29T13:24:50.515Z] 13:24:50     INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-1.html == file:///builds/worker/workspace/build/tests/reftest/tests/editor/reftests/694880-ref.html | image comparison, max difference: 255, number of differing pixels: 19

Reftest analyzer link:
https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/U1DR5IDbQfi_taMx0KnLaA/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1&only_show_unexpected=1
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)

There have been 50 failures within the last 7 days:

  • 1 failure on Linux Nightly opt
  • 1 failure on Linux64-asan-qr opt
  • 1 failure on Linux x64 QuantumRender pgo opt
  • 1 failure on Linux x64 shippable opt
  • 5 failures on android-em-4-3-armv7-api16-pgo opt
  • 41 failures on Android 4.3 API16+ debug

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=236682147&repo=autoland&lineNumber=1787

[task 2019-03-28T19:05:15.955Z] 19:05:15 INFO - REFTEST TEST-START | http://10.0.2.2:8854/tests/editor/reftests/694880-1.html == http://10.0.2.2:8854/tests/editor/reftests/694880-ref.html
[task 2019-03-28T19:05:15.955Z] 19:05:15 INFO - REFTEST TEST-LOAD | http://10.0.2.2:8854/tests/editor/reftests/694880-1.html | 75 / 297 (25%)
[task 2019-03-28T19:05:26.470Z] 19:05:26 INFO - REFTEST TEST-LOAD | http://10.0.2.2:8854/tests/editor/reftests/694880-ref.html | 75 / 297 (25%)
[task 2019-03-28T19:05:26.475Z] 19:05:26 INFO - REFTEST TEST-UNEXPECTED-FAIL | http://10.0.2.2:8854/tests/editor/reftests/694880-1.html == http://10.0.2.2:8854/tests/editor/reftests/694880-ref.html | image comparison, max difference: 255, number of differing pixels: 19

Whiteboard: [stockwell needswork]
Comment hidden (Intermittent Failures Robot)
Assignee

Comment 39

3 months ago

This difference is caret is rendered or not.

Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)

There are 81 total failures in the last 7 days on android-em-4-3-armv7-api16 pgo and debug

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=238538825&repo=autoland&lineNumber=2965

[task 2019-04-06T00:48:21.649Z] 00:48:21 INFO - REFTEST TEST-START | http://10.0.2.2:8854/tests/editor/reftests/694880-1.html == http://10.0.2.2:8854/tests/editor/reftests/694880-ref.html
[task 2019-04-06T00:48:21.650Z] 00:48:21 INFO - REFTEST TEST-LOAD | http://10.0.2.2:8854/tests/editor/reftests/694880-1.html | 334 / 556 (60%)
[task 2019-04-06T00:48:32.668Z] 00:48:32 INFO - REFTEST TEST-LOAD | http://10.0.2.2:8854/tests/editor/reftests/694880-ref.html | 334 / 556 (60%)
[task 2019-04-06T00:48:32.670Z] 00:48:32 INFO - REFTEST TEST-UNEXPECTED-FAIL | http://10.0.2.2:8854/tests/editor/reftests/694880-1.html == http://10.0.2.2:8854/tests/editor/reftests/694880-ref.html | image comparison, max difference: 255, number of differing pixels: 19

Makoto are you working on this or should we disable it?

Flags: needinfo?(m_kato)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)

Comment 49

2 months ago
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e001a19735f8
Disable 694880-1.html on Android 4.3 and linux !debug for frequent failures. r=jmaher
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Assignee

Comment 51

2 months ago

(In reply to Andreea Pavel [:apavel] from comment #46)

There are 81 total failures in the last 7 days on android-em-4-3-armv7-api16 pgo and debug

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=238538825&repo=autoland&lineNumber=2965

[task 2019-04-06T00:48:21.649Z] 00:48:21 INFO - REFTEST TEST-START | http://10.0.2.2:8854/tests/editor/reftests/694880-1.html == http://10.0.2.2:8854/tests/editor/reftests/694880-ref.html
[task 2019-04-06T00:48:21.650Z] 00:48:21 INFO - REFTEST TEST-LOAD | http://10.0.2.2:8854/tests/editor/reftests/694880-1.html | 334 / 556 (60%)
[task 2019-04-06T00:48:32.668Z] 00:48:32 INFO - REFTEST TEST-LOAD | http://10.0.2.2:8854/tests/editor/reftests/694880-ref.html | 334 / 556 (60%)
[task 2019-04-06T00:48:32.670Z] 00:48:32 INFO - REFTEST TEST-UNEXPECTED-FAIL | http://10.0.2.2:8854/tests/editor/reftests/694880-1.html == http://10.0.2.2:8854/tests/editor/reftests/694880-ref.html | image comparison, max difference: 255, number of differing pixels: 19

Makoto are you working on this or should we disable it?

Well, I cannot find good way to pass this test on too slow device.

Flags: needinfo?(m_kato)

(In reply to Makoto Kato [:m_kato] from comment #51)

Well, I cannot find good way to pass this test on too slow device.

Well looks like Cosmin disabled it before you replied, so let us know if there is anything else we can help with.

Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.